std::binary_negate< _Predicate >(3cxx)

NAME
std::binary_negate< _Predicate > - One of the negation functors.

SYNOPSIS

#include <functional>

Inherits std::binary_function< _Predicate::first_argument_type, _Predicate::second_argument_type, bool >.

  Public Types

typedef _Predicate::first_argument_type first_argument_type
first_argument_type is the type of the first argument
typedef bool result_type
result_type is the return type
typedef _Predicate::second_argument_type second_argument_type
second_argument_type is the type of the second argument

  Public Member Functions

constexpr binary_negate (const _Predicate &__x)
constexpr bool operator() (const typename _Predicate::first_argument_type &__x, const typename _Predicate::second_argument_type &__y) const

  Protected Attributes

_Predicate _M_pred

Detailed Description

  template<typename _Predicate>
class std::binary_negate< _Predicate >"One of the negation functors.

Member Typedef Documentation

  typedef _Predicate::first_argument_type std::binary_function< _Predicate::first_argument_type, _Predicate::second_argument_type, bool >::first_argument_type [inherited]

first_argument_type is the type of the first argument

  typedef bool std::binary_function< _Predicate::first_argument_type, _Predicate::second_argument_type, bool >::result_type [inherited]

result_type is the return type

  typedef _Predicate::second_argument_type std::binary_function< _Predicate::first_argument_type, _Predicate::second_argument_type, bool >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Author

Generated automatically by Doxygen for libstdc++ from the source code.